Bug 475009 - srtm2sdf utility missing
srtm2sdf utility missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: splat (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 12:16 EST by John J. McDonough
Modified: 2009-01-26 20:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 13:55:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2008-12-06 12:16:59 EST
Description of problem:
In order to convert topo files splat requires a utility called srtm2sdf which the documentation says is included.  The program is missing.  It is, however, included in the source tar from the upstream.

Version-Release number of selected component (if applicable):
1.2.3

How reproducible:
reproduceable

Steps to Reproduce:
1. srtm2sdf
2. 
3.
  
Actual results:
strm2sdf: command not found

Expected results:
srtm2sdf: Generates .... blah, blah, blah

Additional info:
usgs2sdf is also missing, but may not be needed by some users
Comment 1 Sindre Pedersen Bjørdal 2008-12-11 06:12:06 EST
The extra utilities are in the splat-utils package. Only the splat core and the splat binary itself is in the core splat package. I don't quite remember why this split was made this way in the first place.

Are you saying splat functionality requires srtm2sdf?
Comment 2 John J. McDonough 2008-12-11 08:00:01 EST
In order for splat to be useful, you need sdf files.  The way to get them is to use either the srtm2sdf or usgs2sdf utilities.  It appears that for most of the US you can get srtm files.  Apparently there are areas not covered by srtm files that are covered by usgs files, but I never made any study to see what was covered by what.  The srtm files are evidently higher resolution and hence preferred.

splat will still run without the sdf files, but it isn't particularly useful.  The whole point of splat is to make loss calculations over terrain.  Without the terrain files all it can give you is some trivial square law calculations.  With the sdf files it can produce elaborate coverage maps (see http://www.qsl.net/w8kea/MARCpathloss.html for an example produced by F10/splat) as well as a number of other reports and graphs.

An alternative to the utilities might be to package the sdf files.  This would make the package easier to use, but it would be huge so that is probably impractical.    There must be thousands of srtm files, and most people will only need the 9 centered on their location.

I'm thinking this app needs/deserves a how-to on the wiki.
Comment 3 Sindre Pedersen Bjørdal 2008-12-11 10:04:25 EST
I see. After looking at other distributions (mainly debian) for reference and based on your explanation I've decided that the current core & -utils package split doesn't really make sense. I'll redo the package and make everything available from the core splat package.
Comment 4 Fedora Update System 2008-12-21 17:30:23 EST
splat-1.2.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/splat-1.2.3-2.fc10
Comment 5 Fedora Update System 2008-12-21 17:42:22 EST
splat-1.2.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/splat-1.2.3-2.fc9
Comment 6 Fedora Update System 2008-12-24 13:44:45 EST
splat-1.2.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update splat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11810
Comment 7 Fedora Update System 2008-12-24 13:48:05 EST
splat-1.2.3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update splat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11747
Comment 8 Fedora Update System 2008-12-26 12:35:35 EST
splat-1.2.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/splat-1.2.3-3.fc10
Comment 9 Fedora Update System 2008-12-26 13:16:06 EST
splat-1.2.3-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/splat-1.2.3-3.fc9
Comment 10 Robert 'Bob' Jensen 2008-12-26 13:55:41 EST
The utility mentioned in this bug is now included. 

As for including items in comment 3, that would be best suited in a separate RFE bug. Adding a howto page on the wiki is open to anyone, please feel free.
Comment 11 John J. McDonough 2008-12-26 14:44:41 EST
Such a page is under construction
Comment 12 Fedora Update System 2009-01-26 20:55:09 EST
splat-1.2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-01-26 20:55:42 EST
splat-1.2.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.